{
  "criteria": {
    "consume_item": {
      "trigger": "minecraft:using_item",
      "conditions": {
        "item": {
          "predicates": {
            "custom_data": {
              "IsSeed": true,
              "or_is_seeds": true,
              "seed_type": "pumpkin_seeds",
              "or_seed_type": "pumpkin_seeds"
            }
          }
        }
      }
    }
  },
  "requirements": [
    [
      "consume_item"
    ]
  ],
  "rewards": {
    "function": "overly_realistic:players/items/seeds/pumpkin_seeds/using_pumpkin_seeds"
  }
}